# GameLogic Class Reference

[GameLogic Index] [GameLogic Hierarchy]

This is in fact no class it is a module in Python More...

`#include <gamelogic.h>`

## Public Members

- GameLogic ()
- ~GameLogic ()
- PyObject* getCurrentController ()
- PyObject* addActiveActuator (PyObject* actuator, int boolean)

## Detailed Description

This is in fact no class it is a module in Python. But I use it here as a class to document the global functions availabe in the GameLogic module.

## PyObject* getCurrentController()

Gives Python access to the PythonController which is connected to the Python script currently running.

## PyObject* addActiveActuator(PyObject* actuator, int boolean)

Decides if an actuator linked to the PythonController should be active or not (bool value).

- Author: Jan Walter
- Documentation generated by jan@nvidea on Thu Dec 21 14:04:43 CET 2000

K doc